View Issue Details

IDProjectCategoryView StatusLast Update
0036969LazarusPackagespublic2020-05-06 10:37
Reporterwp Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.1 (SVN) 
Fixed in Version2.2 
Summary0036969: SynPasSyn highlighter should have default value for new TypeHelpers property
DescriptionTrying to load a project with SynEdit and SynPasSyn highlighter (which was written in Laz trunk) into Laz 2.0.8 I noticed that the property "TypeHelpers" is not reckognized which prevents the form from loading.

It would help if the property "TypeHelpers" were declared with "default" or "stored" directives.
TagsNo tags attached.
Fixed in Revision63122
LazTarget2.2
Widgetset
Attached Files

Activities

wp

2020-04-25 11:46

developer   ~0122405

The attached project was created with Laz trunk, it contains only a TPasSynPas component. It is not possible to load the project in Laz 2.0.8. This is the error message:

Stream=TForm1: Root=:TForm1
Component Class: TSynPasSyn
Error reading SynPasSyn1.TypeHelpers: Unknown property: "TypeHelpers"
Stream position: 187

When I manually remove the line "TypeHelpers = True" from the lfm file the projects loads correctly. (Of course, the line will be added again when the project is loaded by trunk once more).

Martin Friebe

2020-05-05 20:17

manager   ~0122637

Please test and close if ok

wp

2020-05-06 10:37

developer   ~0122643

Thank you.

Issue History

Date Modified Username Field Change
2020-04-25 11:17 wp New Issue
2020-04-25 11:17 wp Status new => assigned
2020-04-25 11:17 wp Assigned To => Martin Friebe
2020-04-25 11:46 wp Note Added: 0122405
2020-04-25 11:46 wp File Added: synpassyn_typehelpers_issue.zip
2020-05-05 20:17 Martin Friebe Status assigned => resolved
2020-05-05 20:17 Martin Friebe Resolution open => fixed
2020-05-05 20:17 Martin Friebe Fixed in Version => 2.2
2020-05-05 20:17 Martin Friebe Fixed in Revision => 63122
2020-05-05 20:17 Martin Friebe LazTarget => 2.2
2020-05-05 20:17 Martin Friebe Note Added: 0122637
2020-05-06 10:37 wp Status resolved => closed
2020-05-06 10:37 wp Note Added: 0122643